<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2006 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| Advanced Forum Index v3 by Meth0d & Shedrock.
| For support visit Fuzed Themes ...
| [http://phpfusion-themes.com] (ATTN: Meth0d Mods)
| Warning -- Removing the AFI  From your Forum Index
| is punishable by copyright law.
+----------------------------------------------------*/
if (!defined("IN_FUSION")) { header("Location: ../index.php"); exit; }

/* Advanced Forum Index v3 Configuration ------------------------------------------
| Fine Tune these Settings to get the most out of your Forum Index! 
| Set them to 0 or False to disable a feature, set to 1 or True to enable a feature.
+----------------------------------------------------------------------------------*/
$showHeader = TRUE; //to hide the header set to false
$showSubfooter = TRUE; //to hide the footer set to false
$fuzedFtlp = TRUE; //if you have the latest Forum Threads List panel from Fuzed installed set to true
$headerStyle = TRUE; //0/FALSE to show header in new content table; 1/TRUE to show inside main forum table
$shoutbox5 = FALSE; //if you don't have Ajax Shoutbox v5 from Fuzed installed set to false
$advancedSearchWooya = FALSE; //if you don't the Advanced Search by Wooya from Fuzed installed set to false
$markThreadsRead = TRUE; //if you DONT have the Mark Threads Read Mod installed from Xandra set to false
$userGroupsMods = FALSE; //if you have the Usergroups as Mods mod installed by Xandra set to True 
$useRealPosts = FALSE; //set to false if you want to use the posts stored in profile for calculations rather than real amount of posts
$useForumImg = TRUE; //to not use forum images for each forum set to false
$useThemeImg = FALSE; //if you want the Whos Online image to be declared by your theme instead set to true
$imgDir = IMAGES."forum_cats/"; //the directory where your forum images are stored
$styleFix = " style='margin-top:-1px'"; //adjust if you notice wierd problems with theme on index with thicker than usual borders

//Colors - Tell your Forum Index what colors you want the usernames to use. 
$useColoring = TRUE; //set this to false if you don't want usernames to be colored on the index
$cMEMBER = "#3333CC"; //color for regular users and members
$cADMIN = "#008000"; //color for normal administrators
$cSUPERADMIN = "#F75013"; //color for super administrators
$cBANNED = "#A38C54"; //color for banned members

///////////////////////////////////////////////////////////
//Begin AFI Core -- Warning DO NOT EDIT BELOW THESE LINES
///////////////////////////////////////////////////////////
define("IN_AFI", TRUE); 
define("F_IMGS", FORUM."images/"); 
define("LPOST_ICON", "<img src='".F_IMGS."icon_lpost.gif' border='0' alt='' /> ");
define("AFI_VERSION", "3.1.1"); 
$locale['afi'] = "Advanced Forum Index v".AFI_VERSION;
$locale['aficreds'] = "Advanced Forum Index version ".AFI_VERSION." by Meth0d (aka J Love) &copy;2007.".phpentities("<br /><br />")."
Support: http://phpfusion-themes.com or http://jlove-network.net";
define("AFI", "<a href='http://jlove-network.net' style='text-decoration: none;' title=\"header=[".$locale['afi']."] body=[".$locale['aficreds']."] delay=[0] fade=[off]\">&copy;</a>");


if (!defined("iMEMCOLOR")) define("iMEMCOLOR", $cMEMBER);
if (!defined("iADMNCOLOR")) define("iADMNCOLOR", $cADMIN);
if (!defined("iSUPADMNCOLOR")) define("iSUPADMNCOLOR", $cSUPERADMIN);
if (!defined("iBANTCOLOR")) define("iBANTCOLOR", $cBANNED);
if (!defined("IMGBULLET")) define("IMGBULLET", "<img border='0' src='".THEME."images/bullet.gif' alt='' />&nbsp;");

if (!function_exists("get_ucolor")){
	function get_ucolor($user_id){
		global $db_prefix, $useColoring;
		if ($useColoring){
			$colors = array(103 => iSUPADMNCOLOR, 102 => iADMNCOLOR, 101 => iMEMCOLOR);
			$data = dbarray(dbquery("SELECT * FROM ".$db_prefix."users WHERE user_id = ".$user_id));
			return $colors[$data['user_level']];
		} else { 
			return "";
		}
	}
}

if (!function_exists("xhtmlAmp")){
	function xhtmlAmp($text, $mode=TRUE){
		if ($mode){
			return str_replace("&", "&amp;", $text);
		} else {
			$search = array("&amp;lt;", "&amp;gt;"); //<- Not a bug, really fixes some xhtml errors caused by Fusion.
			$replace = array("&lt;", "&gt;");
			return str_replace($search, $replace, $text);
		}
	}
}

if (!function_exists("xhtmlValid")){
	function xhtmlValid($text){
		$search = array("&#39;", "&quot;", "&nbsp;", "&#92;", " & ");
		$replace = array("'", '"', " ", "/", " &amp; ");
		$text = str_replace($search, $replace, $text);
		return $text;
	}
}

function daysBetween($day1,$day2){ 
	 return round((strtotime($day2)-strtotime($day1))/(24*60*60),0); 
} 

function hoverOver($subject, $content){
	return " title=\"header=[ ".str_replace("]", "]]", str_replace("[", "[[", trimlink($subject, 36)))."] body=[".str_replace("]", "]]", str_replace("[", "[[", trimlink($content, 250)))."] delay=[0] fade=[off]\"";
}

function strBetween($s1,$s2,$s){
	$s1 = strtolower($s1);
	$s2 = strtolower($s2);
	$L1 = strlen($s1);
	$scheck = strtolower($s);
	if($L1>0){$pos1 = strpos($scheck,$s1);} else {$pos1=0;}
	if($pos1 !== false){
		if($s2 == '') return substr($s,$pos1+$L1);
		$pos2 = strpos(substr($scheck,$pos1+$L1),$s2);
		if($pos2!==false) return substr($s,$pos1+$L1,$pos2);
	}
	return '';
}

function forumImg($data){
	global $db_prefix, $useForumImg, $imgDir;
	if ($useForumImg && !empty($data['forum_cat_image']) && file_exists($imgDir.$data['forum_cat_image'])){
		return "<img src='".$imgDir.$data['forum_cat_image']."' alt='".$data['forum_name']."' border='0' />";
	} elseif ($useForumImg && empty($data['forum_cat_image']) || !file_exists($imgDir.$data['forum_cat_image'])){
		return "<img src='".$imgDir."default.png' alt='".$data['forum_name']."' border='0' />";
	} else { 
		return false;
	}
}

if (!function_exists("parsetime")){
	function parsetime($start){ 
		global $execution_start;
		$secs_total = number_format(array_sum(explode(' ', microtime())) - $execution_start, 3);
		return $secs_total;
	}
}
if (!defined("AFI") || !isset($locale['afi']) || !isset($locale['aficreds']) || !strpos(AFI, "http://jlove-network.net") || !strpos(AFI, "http://phpfusion-themes.com")) die();
?>